# Uses of Interface
net.sourceforge.jiu.color.quantization.RGBQuantizer

Packages that use RGBQuantizer
Package
Description
net.sourceforge.jiu.color.dithering
net.sourceforge.jiu.color.quantization

## Uses of RGBQuantizer in net.sourceforge.jiu.color.dithering

Fields in net.sourceforge.jiu.color.dithering declared as RGBQuantizer
Modifier and Type
Field
Description
`private RGBQuantizer`
ErrorDiffusionDithering.`quantizer`
Methods in net.sourceforge.jiu.color.dithering with parameters of type RGBQuantizer
Modifier and Type
Method
Description
`void`
ErrorDiffusionDithering.`setQuantizer(RGBQuantizer q)`
Sets the color quantizer to be used (if the input image is a truecolor image).

## Uses of RGBQuantizer in net.sourceforge.jiu.color.quantization

Classes in net.sourceforge.jiu.color.quantization that implement RGBQuantizer
Modifier and Type
Class
Description
`class`
`ArbitraryPaletteQuantizer`
A color quantizer that maps an `RGBImage` to any given palette.
`class`
`MedianCutQuantizer`
Performs the Median Cut color quantization algorithm for a given list of colors.
`class`
`OctreeColorQuantizer`
Performs the octree color quantization algorithm for a given RGB truecolor image.
`class`
`PopularityQuantizer`
Performs the popularity color quantization algorithm that maps an image to the colors occurring most frequently in the input image.
`class`
`UniformPaletteQuantizer`
A color quantizer that maps to a palette which is equidistantly distributed in the RGB color cube.